{ config, pkgs, lib, home-manager, ... }:

{
  imports = [
    ./atuin
    ./bat
    ./direnv
    ./eza
    ./fish
    ./git
    ./lazygit
    ./neovim
    ./starship
  ];

  config = {
    home.stateVersion = "24.05";

    home.packages = with pkgs; [
      discord
      obsidian
      zoxide
      wget
      nerdfonts
      jdk
	    prismlauncher
	    iterm2
	    zed
	    vscode
	    nodejs
	    cargo
	    gcc
	    python3
    ];

    home.sessionVariables = {
      EDITOR = "nvim";
    };

    fonts.fontconfig.enable = true;
    programs.home-manager.enable = true;
  };
}
